Debian Bug report logs - #628975
d-i missing brcm80211 module

version graph

Package: kernel-wedge; Maintainer for kernel-wedge is Debian Install System Team <debian-boot@lists.debian.org>; Source for kernel-wedge is src:kernel-wedge.

Reported by: Paul Menzel <pm.debian@googlemail.com>

Date: Thu, 2 Jun 2011 17:45:05 UTC

Severity: normal

Tags: patch

Fixed in version kernel-wedge/2.78

Done: Otavio Salvador <otavio@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#628975; Package installation-reports. (Thu, 02 Jun 2011 17:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Menzel <pm.debian@googlemail.com>:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Thu, 02 Jun 2011 17:45:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Paul Menzel <pm.debian@googlemail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: installation-reports: Debian Squeeze 6.0.1a and Lenovo G555 with BCM4313
Date: Thu, 02 Jun 2011 19:41:44 +0200
[Message part 1 (text/plain, inline)]
Package: installation-reports

Boot method: CD
Image version: Debian 6.0.1a amd64 1
Date: 6/2/2011

	$ more lsb-release
	DISTRIB_ID=Debian
	DISTRIB_DESCRIPTION="Debian GNU/Linux installer"
	DISTRIB_RELEASE="6.0 (squeeze) - installer build 20110106+squeeze1"
	X_INSTALLATION_MEDIUM=cdrom

Machine: Lenovo G555
Partitions: n. a.


Base System Installation Checklist:
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Initial boot:           [O]
Detect network card:    [E]
Configure network:      [E]
Detect CD:              [O]
Load installer modules: [O]
Detect hard drives:     [O]
Partition hard drives:  [O]
Install base system:    [O]
Clock/timezone setup:   [O]
User/password setup:    [O]
Install tasks:          [O]
Install boot loader:    [O]
Overall install:        [E]

Comments/Problems:

1. Wireless LAN (WLAN)

Ethernet was not available and therefore Wireless LAN is crucial. For unknown reasons the WLAN adapter BCM4313 [1] is not detected. According to the Wiki page [1] it should be supported by the Linux kernel but the following is shown in the syslog.

	Jun  2 17:08:43 check-missing-firmware: no missing firmware in /dev/.udev/firmware-missing

I hope if it is detected that the installer asks for the firmware files automatically.

2. Base system.

a) Getting the system set up afterward did not work at all. No network manager was installed and I could not find any on the installation medium (CD).
b) No graphical package manager was installed.
c) After a second restart logging into GNOME did not work due to some libgconf error. I do not know the error anymore though and the installation is not available anymore.


Thanks,

Paul


[1] http://wiki.debian.org/brcm80211
[hardware-summary (text/plain, attachment)]
[lsb-release (text/plain, attachment)]
[status (text/plain, attachment)]
[syslog (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#628975; Package installation-reports. (Thu, 02 Jun 2011 18:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Menzel <pm.debian@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Thu, 02 Jun 2011 18:03:02 GMT) Full text and rfc822 format available.

Message #10 received at 628975@bugs.debian.org (full text, mbox):

From: Paul Menzel <pm.debian@googlemail.com>
To: 628975@bugs.debian.org
Subject: Re: installation-reports: Debian Squeeze 6.0.1a and Lenovo G555 with BCM4313
Date: Thu, 02 Jun 2011 19:59:44 +0200
[Message part 1 (text/plain, inline)]
Dear Debian folks,


Am Donnerstag, den 02.06.2011, 19:41 +0200 schrieb Paul Menzel:
> Package: installation-reports
> 
> Boot method: CD
> Image version: Debian 6.0.1a amd64 1
> Date: 6/2/2011
> 
> 	$ more lsb-release
> 	DISTRIB_ID=Debian
> 	DISTRIB_DESCRIPTION="Debian GNU/Linux installer"
> 	DISTRIB_RELEASE="6.0 (squeeze) - installer build 20110106+squeeze1"
> 	X_INSTALLATION_MEDIUM=cdrom
> 
> Machine: Lenovo G555
> Partitions: n. a.
> 
> 
> Base System Installation Checklist:
> [O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it
> 
> Initial boot:           [O]
> Detect network card:    [E]
> Configure network:      [E]
> Detect CD:              [O]
> Load installer modules: [O]
> Detect hard drives:     [O]
> Partition hard drives:  [O]
> Install base system:    [O]
> Clock/timezone setup:   [O]
> User/password setup:    [O]
> Install tasks:          [O]
> Install boot loader:    [O]
> Overall install:        [E]
> 
> Comments/Problems:
> 
> 1. Wireless LAN (WLAN)
> 
> Ethernet was not available and therefore Wireless LAN is crucial. For unknown reasons the WLAN adapter BCM4313 [1] is not detected. According to the Wiki page [1] it should be supported by the Linux kernel but the following is shown in the syslog.
> 
> 	Jun  2 17:08:43 check-missing-firmware: no missing firmware in /dev/.udev/firmware-missing
> 
> I hope if it is detected that the installer asks for the firmware files automatically.

please note that the same behavior is seen using 

   Debian GNU/Linux testing "Wheezy" - Official Snapshot amd64 CD Binary-1
                               20110523-04:27

using

        Jun  2 08:49:30 kernel: [    0.000000] Linux version 2.6.38-2-amd64 (Debian 2.6.38-5) (ben@decadent.org.uk) (gcc version 4.4.6 (Debian 4.4.6-3) ) #1 SMP Sun May 8 13:51:57 UTC 2011

from [2].

> 2. Base system.
> 
> a) Getting the system set up afterward did not work at all. No network manager was installed and I could not find any on the installation medium (CD).
> b) No graphical package manager was installed.
> c) After a second restart logging into GNOME did not work due to some libgconf error. I do not know the error anymore though and the installation is not available anymore.


Thanks,

Paul


> [1] http://wiki.debian.org/brcm80211
[2] http://cdimage.debian.org/cdimage/weekly-builds/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#628975; Package installation-reports. (Fri, 03 Jun 2011 16:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Menzel <pm.debian@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Fri, 03 Jun 2011 16:33:08 GMT) Full text and rfc822 format available.

Message #15 received at 628975@bugs.debian.org (full text, mbox):

From: Paul Menzel <pm.debian@googlemail.com>
To: 628975@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: installation-reports: Debian Squeeze 6.0.1a and Lenovo G555 with BCM4313
Date: Fri, 03 Jun 2011 18:27:56 +0200
[Message part 1 (text/plain, inline)]
reassign 628975 linux-image-2.6.38-2-amd64 2.6.38-5
user debian-boot@lists.debian.org
usertags 628975 accessibility
quit

Am Donnerstag, den 02.06.2011, 19:59 +0200 schrieb Paul Menzel:

> Am Donnerstag, den 02.06.2011, 19:41 +0200 schrieb Paul Menzel:
> > Package: installation-reports
> > 
> > Boot method: CD
> > Image version: Debian 6.0.1a amd64 1
> > Date: 6/2/2011
> > 
> > 	$ more lsb-release
> > 	DISTRIB_ID=Debian
> > 	DISTRIB_DESCRIPTION="Debian GNU/Linux installer"
> > 	DISTRIB_RELEASE="6.0 (squeeze) - installer build 20110106+squeeze1"
> > 	X_INSTALLATION_MEDIUM=cdrom
> > 
> > Machine: Lenovo G555
> > Partitions: n. a.
> > 
> > 
> > Base System Installation Checklist:
> > [O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it
> > 
> > Initial boot:           [O]
> > Detect network card:    [E]
> > Configure network:      [E]
> > Detect CD:              [O]
> > Load installer modules: [O]
> > Detect hard drives:     [O]
> > Partition hard drives:  [O]
> > Install base system:    [O]
> > Clock/timezone setup:   [O]
> > User/password setup:    [O]
> > Install tasks:          [O]
> > Install boot loader:    [O]
> > Overall install:        [E]
> > 
> > Comments/Problems:
> > 
> > 1. Wireless LAN (WLAN)
> > 
> > Ethernet was not available and therefore Wireless LAN is crucial. For unknown reasons the WLAN adapter BCM4313 [1] is not detected. According to the Wiki page [1] it should be supported by the Linux kernel but the following is shown in the syslog.
> > 
> > 	Jun  2 17:08:43 check-missing-firmware: no missing firmware in /dev/.udev/firmware-missing
> > 
> > I hope if it is detected that the installer asks for the firmware files automatically.
> 
> please note that the same behavior is seen using 
> 
>    Debian GNU/Linux testing "Wheezy" - Official Snapshot amd64 CD Binary-1
>                                20110523-04:27
> 
> using
> 
>         Jun  2 08:49:30 kernel: [    0.000000] Linux version 2.6.38-2-amd64 (Debian 2.6.38-5) (ben@decadent.org.uk) (gcc version 4.4.6 (Debian 4.4.6-3) ) #1 SMP Sun May 8 13:51:57 UTC 2011
> 
> from [2].

I believe this is a Linux kernel problem (or Udev?) since it should be
included since 2.6.32-22 [1] and therefore I am reassigning this report.
Ben, I am sorry, if this was wrong.

> > 2. Base system.
> > 
> > a) Getting the system set up afterward did not work at all. No network manager was installed and I could not find any on the installation medium (CD).
> > b) No graphical package manager was installed.
> > c) After a second restart logging into GNOME did not work due to some libgconf error. I do not know the error anymore though and the installation is not available anymore.


Thanks,

Paul


> > [1] http://wiki.debian.org/brcm80211
> [2] http://cdimage.debian.org/cdimage/weekly-builds/
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'installation-reports' to 'linux-image-2.6.38-2-amd64'. Request was from Paul Menzel <pm.debian@googlemail.com> to control@bugs.debian.org. (Fri, 03 Jun 2011 16:33:11 GMT) Full text and rfc822 format available.

Bug Marked as found in versions linux-2.6/2.6.38-5. Request was from Paul Menzel <pm.debian@googlemail.com> to control@bugs.debian.org. (Fri, 03 Jun 2011 16:33:12 GMT) Full text and rfc822 format available.

Bug reassigned from package 'linux-image-2.6.38-2-amd64' to 'kernel-wedge'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Fri, 03 Jun 2011 16:48:07 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions linux-2.6/2.6.38-5. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Fri, 03 Jun 2011 16:48:07 GMT) Full text and rfc822 format available.

Changed Bug title to 'd-i missing brcm80211 module' from 'installation-reports: Debian Squeeze 6.0.1a and Lenovo G555 with BCM4313' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Fri, 03 Jun 2011 16:48:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#628975; Package kernel-wedge. (Sat, 09 Jul 2011 09:38:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Figueiredo <elmig@debianpt.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 09 Jul 2011 09:38:14 GMT) Full text and rfc822 format available.

Message #30 received at 628975@bugs.debian.org (full text, mbox):

From: Miguel Figueiredo <elmig@debianpt.org>
To: 628975@bugs.debian.org
Subject: brcmsmac
Date: Sat, 9 Jul 2011 10:22:15 +0100
[Message part 1 (text/plain, inline)]
tags: patch



-- 
Melhores cumprimentos/Best Regards,

Miguel Figueiredo
http://www.DebianPT.org
[kernel_wedge_brcmsmac.patch (text/x-patch, attachment)]

Added tag(s) patch. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Thu, 14 Jul 2011 22:03:04 GMT) Full text and rfc822 format available.

Reply sent to Otavio Salvador <otavio@debian.org>:
You have taken responsibility. (Sat, 23 Jul 2011 17:03:15 GMT) Full text and rfc822 format available.

Notification sent to Paul Menzel <pm.debian@googlemail.com>:
Bug acknowledged by developer. (Sat, 23 Jul 2011 17:03:15 GMT) Full text and rfc822 format available.

Message #37 received at 628975-close@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@debian.org>
To: 628975-close@bugs.debian.org
Subject: Bug#628975: fixed in kernel-wedge 2.78
Date: Sat, 23 Jul 2011 17:02:21 +0000
Source: kernel-wedge
Source-Version: 2.78

We believe that the bug you reported is fixed in the latest version of
kernel-wedge, which is due to be installed in the Debian FTP archive:

kernel-wedge_2.78.dsc
  to main/k/kernel-wedge/kernel-wedge_2.78.dsc
kernel-wedge_2.78.tar.gz
  to main/k/kernel-wedge/kernel-wedge_2.78.tar.gz
kernel-wedge_2.78_all.deb
  to main/k/kernel-wedge/kernel-wedge_2.78_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 628975@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Otavio Salvador <otavio@debian.org> (supplier of updated kernel-wedge package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 23 Jul 2011 18:48:03 +0200
Source: kernel-wedge
Binary: kernel-wedge
Architecture: source all
Version: 2.78
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Otavio Salvador <otavio@debian.org>
Description: 
 kernel-wedge - udeb package builder for Debian-Installer
Closes: 612111 628975
Changes: 
 kernel-wedge (2.78) unstable; urgency=low
 .
   [ dann frazier ]
   * scsi-extra-modules: add hpsa
   * scsi-extra-modules: add pm8001
   * nic-extra-modules: add bna
 .
   [ Otavio Salvador ]
   * scsi-modules: add iscsi-tcp and iscsi-ibft
   * input-modules: add wistron_btns. Closes: #612111.
   * nic-wireless-modules: add brcmsmac. Closes: #628975
Checksums-Sha1: 
 a838e16f18c99319daf35317a71eba955f9dead6 1575 kernel-wedge_2.78.dsc
 8b6b5154d540a8b1a610658656ae13540bc40525 43647 kernel-wedge_2.78.tar.gz
 15dcbf095d922f67194100a75b5ddc3834d16ad3 49142 kernel-wedge_2.78_all.deb
Checksums-Sha256: 
 e65f8cc3fe0803b94f17f6618f50dc86a40df5e465b5809e9b2836f7af0acf06 1575 kernel-wedge_2.78.dsc
 af5ad85581e451f15b054a96d6acaef1de176bb8f69cc9ee06d3609355183755 43647 kernel-wedge_2.78.tar.gz
 c24d576c6965624ea69f81791c0a29e9be390b00b570ee58bbb808569028fa1f 49142 kernel-wedge_2.78_all.deb
Files: 
 b26db8dfa0fe3bd95d43a816602a4330 1575 utils optional kernel-wedge_2.78.dsc
 d66f2121de5edcdcf4fa0ab6645eb9d0 43647 utils optional kernel-wedge_2.78.tar.gz
 e06a2eee7bda5404989ec7b0f2703281 49142 utils optional kernel-wedge_2.78_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOKvtSAAoJEOtw/vPN/G5PAWkP/A7HGAUS5+Be1t2FGLUJIuIH
j+5AmJg3wfiv5B8zEmnLGBMBpHkCQTpgX7SiZRVy540w5HRaM8HSjpZOcGlwVZ9N
u2M+YIda+fTR22fXemhYlO3ehiCFBZSs2Jfpz7qxkFTvWdx7/uxfJvigsN6pELEZ
UejYFDTHRo8auvhn0OiYUWeFTBY79zVyF0pBqOVrxVdZ2kA1I/imfzuOmrk8EJrU
f7dY/7DIXK1dn20cVntfh5FA5Cm1hpOvKk7/M2jO9UgZzVDUccKwMgyfOL+1ljxL
xSy18LoMM78Ac1kyxdI59Zj1b9TcJCEYh2rcIbTRBcnvdr4dk6pT1D8iWjUAGZ12
VmxjL+aZDO5wYlIntRF4qKjivCzIgbscPiGU6xbvZbLOsvNjq1v3ea+ESkoLVGOJ
w4a5gi04TQA+cSVu0L5HD4pOl6VL2Zjq8mnyHhXBuONoHH234EiG3cLgQ81FvwTz
oYIg87V7XDxHkVhp88A9d4MufFsUZVpfWCzIk6WT3Ojr2LvsBrcH7+0KzTqW/fEi
+pGPBb4t3WSbqJ8CYfjo1CHZ7+AY9AHwj5RcM7+/uGpKmfFpDDOR8Pk5SjCT+0WA
Ld1aksNYH94IUb+rZlPFX3StbsdruMFloHrk/MoffZmlMHIaxYDf14JwrHbkA6nT
uozB9AF0jSKNNgBw0+mb
=aaOV
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 31 Aug 2011 07:36:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:23:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.